package com.gyee.clientside.controller;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.gyee.clientside.entity.Roles;
import com.gyee.clientside.result.Result;
import com.gyee.clientside.service.IRolesService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.sql.Timestamp;
import java.util.Map;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author gfhd
 * @since 2023-03-29
 */
@RestController
@RequestMapping("/roles")
public class RolesController {

    @Resource
    private IRolesService rolesService;

    @PostMapping("/set")
    private void set(@RequestBody Map<String, String> user) {
        Roles ld = new Roles();
        ld.setId(new Timestamp(System.currentTimeMillis()));
        ld.setRolename(user.get("rolename"));
        rolesService.save(ld);
    }

    @GetMapping("/get")
    private JSONObject get(String rolename) {
        QueryWrapper<Roles> wrapper = new QueryWrapper<>();
        wrapper.eq("rolename", rolename);
        Roles one = rolesService.getOne(wrapper);
        return Result.successData(one);
    }
}
