package com.gyee.clientside.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gyee.clientside.entity.MyUsers;
import com.gyee.clientside.mapper.mydbinfo.MyUsersMapper;
import com.gyee.clientside.service.IMyUsersService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author gfhd
 * @since 2023-03-29
 */
@Service
public class MyUsersServiceImpl extends ServiceImpl<MyUsersMapper, MyUsers> implements IMyUsersService {

    @Override
    public void create() {
        baseMapper.createUsersTable();
        baseMapper.createRolesTable();
        baseMapper.createUserRolesTable();
        baseMapper.createPermissionsTable();
        baseMapper.createRolePermissionsTable();
    }
}
