package com.gyee.feign.api;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

@FeignClient(name = "redisread", url = "${redis.url}")
public interface GetKeysApi {

    @GetMapping("/redis/aikeys")
    List<String> getAIKeys();

    @GetMapping("/redis/dikeys")
    List<String> getDIKeys();
}