package com.gyee.clientside.controller;

import com.gyee.clientside.entity.RolePermissions;
import com.gyee.clientside.service.IRolePermissionsService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.sql.Timestamp;
import java.util.Map;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author gfhd
 * @since 2023-03-29
 */
@RestController
@RequestMapping("/rolePermissions")
public class RolePermissionsController {

    @Resource
    private IRolePermissionsService rolePermissionsService;

    @PostMapping("/set")
    private void set(@RequestBody Map<String, Timestamp> user) {
        RolePermissions ur = new RolePermissions();
        ur.setId(new Timestamp(System.currentTimeMillis()));
        ur.setRoleid(user.get("roleid"));
        ur.setPermisid(user.get("permisid"));
        rolePermissionsService.save(ur);
    }
}
