package com.gyee.clientside.controller;

import com.gyee.clientside.entity.UserRoles;
import com.gyee.clientside.service.IUserRolesService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.sql.Timestamp;
import java.util.Map;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author gfhd
 * @since 2023-03-29
 */
@RestController
@RequestMapping("/userRoles")
public class UserRolesController {

    @Resource
    private IUserRolesService userRolesService;

    @PostMapping("/set")
    private void set(@RequestBody Map<String, Timestamp> user) {
        UserRoles ur = new UserRoles();
        ur.setId(new Timestamp(System.currentTimeMillis()));
        ur.setUserid(user.get("userid"));
        ur.setRoleid(user.get("roleid"));
        userRolesService.save(ur);
    }
}
