package com.gyee.clientside.mapper.mydbinfo;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gyee.clientside.entity.MyUsers;
import org.apache.ibatis.annotations.Update;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author gfhd
 * @since 2023-03-29
 */
public interface MyUsersMapper extends BaseMapper<MyUsers> {

    @Update("CREATE TABLE IF NOT EXISTS mydbinfo.my_users (id timestamp,username nchar(30),token binary(256))")
    void createUsersTable();

    @Update("CREATE TABLE IF NOT EXISTS mydbinfo.roles (id timestamp,rolename nchar(30))")
    void createRolesTable();

    @Update("CREATE TABLE IF NOT EXISTS mydbinfo.user_roles (id timestamp,userid timestamp,roleid timestamp)")
    void createUserRolesTable();

    @Update("CREATE TABLE IF NOT EXISTS mydbinfo.permissions (id timestamp,permisname nchar(30))")
    void createPermissionsTable();

    @Update("CREATE TABLE IF NOT EXISTS mydbinfo.role_permissions (id timestamp,roleid timestamp,permisid timestamp)")
    void createRolePermissionsTable();
}
