package com.gyee.clientside.service;

import cn.hutool.poi.excel.ExcelUtil;
import cn.hutool.poi.excel.sax.handler.RowHandler;
import com.gyee.clientside.config.FilePathConfig;
import com.gyee.clientside.entity.TaosEntity;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Slf4j
@Service
public class FileService {

/*    @Autowired
    private TaosConfig taosConfig;

    private List<StringBuilder> sbList = new ArrayList<>();
    private String s0 = null;
    private int i = 0;
    private String substring = null;

    private StringBuilder sb = new StringBuilder();
    private String type = null;*/

    private TaosEntity taosEntity;
    private List<TaosEntity> taosEntitys = new ArrayList<>();

    public List<TaosEntity> getTaosEntitys() throws Exception {
        if (taosEntitys.size() == 0) {
            ExcelUtil.readBySax(FilePathConfig.getTaosInfoTablePath(), 0, createRowHandler());
            log.info("Excel加载完毕！");
            //XSSFWorkbook workbook = new XSSFWorkbook(excelPath);
            //List<TaosEntity> entities = FileUtils.excel2Entity(workbook);
            //taosEntitys.addAll(entities);
            //ExcelReader reader = ExcelUtil.getReader(FilePathConfig.getTaosInfoTablePath());
            //taosEntitys = reader.read(1, 2, TaosEntity.class);
        }
        return taosEntitys;
    }

    private RowHandler createRowHandler() {
        return new RowHandler() {
            @Override
            public void handle(int sheetIndex, long rowIndex, List<Object> rowlist) {
                taosEntity = new TaosEntity();
                if (rowIndex < 2) {
                    log.info("Excel读取完毕！");
                    //sbList.add(sb);
                    //sb.append("create table");
                    return;
                }
                try {
                    taosEntity.setPoint(rowlist.get(0).toString());
                    taosEntity.setDescription(rowlist.get(1));
                    taosEntity.setStation(rowlist.get(2));
                    taosEntity.setCategory(rowlist.get(3));
                    taosEntity.setFacility(rowlist.get(4));
                    taosEntity.setUniformcode(rowlist.get(5));
                    taosEntity.setRate(rowlist.get(6));
                    taosEntity.setRemark(rowlist.get(7));
                    taosEntity.setDatatype(rowlist.get(8).toString());
                    taosEntitys.add(taosEntity);
                } catch (Exception e) {
                    e.printStackTrace();
                    System.out.println(taosEntitys);
                }

                /*if (rowIndex % 2999 == 0) {
                    sb = new StringBuilder();
                    sbList.add(sb);
                    sb.append("create table");
                }
                if ("double".equals(rowlist.get(7))) {
                    type = taosConfig.getAIStableName();
                } else {
                    type = taosConfig.getDIStableName();
                }
                s0 = rowlist.get(0).toString();
                i = s0.indexOf(".");
                substring = s0.substring(i + 1);
                sb.append(" if not exists ").append(taosConfig.getDbName()).append(".").append(substring).append(" using ")
                        .append(taosConfig.getDbName()).append(".").append(type).append(" tags('").append(rowlist.get(1)).append("','")
                        .append(rowlist.get(2)).append("','").append(rowlist.get(3)).append("','").append(rowlist.get(4)).append("','")
                        .append(rowlist.get(5)).append("','").append(rowlist.get(6)).append("','").append(s0.substring(0, i < 0 ? 0 : i))
                        .append("')");
                point.add(substring);*/
            }
        };
    }
}
